Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSSOResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSSOResponse`, `ClientWireProtocol.ClientConnectionSSOResponse.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ClientConnectionSSOResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthUrl()`
`string authUrl = 3;`
`ByteString`
`getAuthUrlBytes()`
`string authUrl = 3;`
`String`
`getRequestId()`
`string requestId = 2;`
`ByteString`
`getRequestIdBytes()`
`string requestId = 2;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getRequestId

String getRequestId()
`string requestId = 2;`

Returns:
  The requestId.

### getRequestIdBytes

ByteString getRequestIdBytes()
`string requestId = 2;`

Returns:
  The bytes for requestId.

### getAuthUrl

String getAuthUrl()
`string authUrl = 3;`

Returns:
  The authUrl.

### getAuthUrlBytes

ByteString getAuthUrlBytes()
`string authUrl = 3;`

Returns:
  The bytes for authUrl.